resource "desec_domain" "nayeonie_com" {
  name = "nayeonie.com"
}

resource "desec_rrset" "wildcard_nayeonie_com_cname" {
  domain     = "nayeonie.com"
  subname    = "*"
  type       = "CNAME"
  records    = ["alicehuston.duckdns.org."]
  ttl        = 3600
  depends_on = [desec_domain.nayeonie_com]
}

# not needed as its dynamically created
# resource "desec_rrset" "nayeonie_com_ns" {
#   domain  = "nayeonie.com"
#   subname = ""
#   type    = "NS"
#   records = ["ns2.desec.org.", "ns1.desec.io."]
#   ttl     = 3600
#   depends_on = [desec_domain.nayeonie_com]
# }

resource "desec_rrset" "tiktok_txt" {
  domain     = "nayeonie.com"
  subname    = ""
  type       = "TXT"
  records    = [trim(data.sops_file.secrets.data["tiktok_txt"], "\"")]
  ttl        = 3600
  depends_on = [desec_domain.nayeonie_com]
}

resource "desec_rrset" "gitea_nayeonie_com_srv" {
  domain     = "nayeonie.com"
  subname    = "_gitea._tcp"
  type       = "SRV"
  records    = ["0 100 2222 nayeonie.com."]
  ttl        = 3600
  depends_on = [desec_domain.nayeonie_com]
}
